<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <EditText
        android:id="@+id/text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_marginTop="32dp"
        android:ems="10"
        android:text="Update this to (Hello)" >

        <requestFocus />
    </EditText>

    <Button
        android:id="@+id/wButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_below="@+id/text"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="98dp"
        android:text="Wireless" />

    <Button
        android:id="@+id/bButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBaseline="@+id/wButton"
        android:layout_alignBottom="@+id/wButton"
        android:layout_marginLeft="44dp"
        android:layout_toRightOf="@+id/wButton"
        android:text="Bluetooth" />

    <Button
        android:id="@+id/server1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/bButton"
        android:layout_below="@+id/bButton"
        android:layout_marginTop="50dp"
        android:text="Server" />

    <Button
        android:id="@+id/client1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBaseline="@+id/server1"
        android:layout_alignBottom="@+id/server1"
        android:layout_alignLeft="@+id/wButton"
        android:text="Client" />

    <Button
        android:id="@+id/send"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/server1"
        android:layout_marginTop="36dp"
        android:layout_toRightOf="@+id/wButton"
        android:text="Send Data" />

</RelativeLayout>
